complexType "InterestPaymentDetails"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 7 elements
Defined: | globally in fpml-collateral-processes-5-3.xsd; see XML source
Includes: | definition of 1 element
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | payerPartyReference?, payerAccountReference?, receiverPartyReference?, receiverAccountReference?, paymentDate?, paymentAmount?, method?
</...>

Content Model Elements (7):

  method (defined in InterestPaymentDetails complexType),
  payerAccountReference,
  payerPartyReference,
  paymentAmount (defined in NonNegativePayment complexType),
  paymentDate (defined in PaymentBaseExtended complexType),
  receiverAccountReference,
  receiverPartyReference (defined in PayerReceiver.model group)

All Direct / Indirect Based Elements (3):

  paymentDetails (in grossTreatment), paymentDetails (in netTreatment), | paymentDetails (in singleTreatment)

Known Usage Locations

- As direct type of elements (3):

  paymentDetails (in grossTreatment), paymentDetails (in netTreatment), | paymentDetails (in singleTreatment)

Type Definition Detail

Type Derivation Tree PaymentBase (extension) PaymentBaseExtended (extension) NonNegativePayment (extension) InterestPaymentDetails

XML Source (see within schema source)

<xsd:complexType name="InterestPaymentDetails"> <xsd:complexContent> <xsd:extension base="NonNegativePayment"> <xsd:sequence> <xsd:element minOccurs="0" name="method" type="InterestMethodEnum"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/7)
method

  Type: | InterestMethodEnum, simple content

  Simple Content

  enumeration of xsd:token

  Enumeration: | "PhysicalSettlement", "RollIn"

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="method" type="InterestMethodEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.